/*
Theme Name: Phoenix - Beaver Builder Child Theme
template: bb-theme
*/

/* Web Fonts */
@font-face {
    font-family: "Aeonik";
    src:
        url("./includes/webfonts/aeonik-semibold.woff2") format("woff2"),
        url("./includes/webfonts/aeonik-semibold.woff") format("woff");
    font-weight: 600;
    font-style: normal;

    font-display: swap;
}

@font-face {
    font-family: "Aeonik";
    src:
        url("./includes/webfonts/aeonik-semibolditalic.woff2") format("woff2"),
        url("./includes/webfonts/aeonik-semibolditalic.woff") format("woff");
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: "Aeonik";
    src:
        url("./includes/webfonts/aeonik-bold.woff2") format("woff2"),
        url("./includes/webfonts/aeonik-bold.woff") format("woff");
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Aeonik";
    src:
        url("./includes/webfonts/aeonik-bolditalic.woff2") format("woff2"),
        url("./includes/webfonts/aeonik-bolditalic.woff") format("woff");
    font-weight: 700;
    font-style: italic;
    font-display: swap;
}
/* IBM Plex Sans Regular */
@font-face {
    font-family: "IBM Plex Sans";
    font-style: normal;
    font-weight: 400;
    src: url("./includes/webfonts/ibm-plex-sans-v23-latin-regular.woff2")
        format("woff2");
    font-display: swap;
}

/* IBM Plex Sans Italic */
@font-face {
    font-family: "IBM Plex Sans";
    font-style: italic;
    font-weight: 400;
    src: url("./includes/webfonts/ibm-plex-sans-v23-latin-italic.woff2")
        format("woff2");
    font-display: swap;
}

/* IBM Plex Sans Bold */
@font-face {
    font-family: "IBM Plex Sans";
    font-style: normal;
    font-weight: 700;
    src: url("./includes/webfonts/ibm-plex-sans-v23-latin-700.woff2")
        format("woff2");
    font-display: swap;
}

/* IBM Plex Sans Bold Italic */
@font-face {
    font-family: "IBM Plex Sans";
    font-style: italic;
    font-weight: 700;
    src: url("./includes/webfonts/ibm-plex-sans-v23-latin-700italic.woff2")
        format("woff2");
    font-display: swap;
}

h1,
h2 {
    font-weight: 700;
}
h1,
h2,
h3,
h4,
h5,
h6 {
    text-transform: capitalize;
}

/** Helper Styles **/

/* Header Nav*/

.dark-nav .dark-logo,
.fl-theme-builder-header-scrolled .dark-nav .white-logo {
    display: none;
}
.fl-theme-builder-header-scrolled .fl-row-full-width:not(.gradient-bottom) {
    border-bottom: 2px solid;
    border-image: linear-gradient(90deg, #f9ed43, #d54e42) 1;
}
.fl-theme-builder-header-scrolled .dark-nav {
    background-color: #fff;
}
.fl-theme-builder-header-scrolled .dark-nav .dark-logo {
    display: block;
}
.fl-theme-builder-header-scrolled .dark-nav .menu-item a {
    color: #44545e !important;
}
.fl-theme-builder-header-scrolled .menu-item.menu-button a {
    color: #fff !important;
}
.fl-theme-builder-header-scrolled .dark-nav .menu-item a {
    color: #232842;
}
.fl-theme-builder-header .menu-button a {
    background-color: #d54e42;
    color: #fff !important;
    text-transform: uppercase;
    padding: 16px 16px !important;
    font-size: 16px;
    letter-spacing: 1.6px;
    font-weight: 600;
    margin-left: 16px;
}

/* Menu item hover gradient effect */
#menu-primary.menu-item a:hover {
    position: relative;
}
#menu-primary
    .current_page_ancestor.menu-item
    .fl-has-submenu-container
    a:after,
#menu-primary .current_page_item.menu-item .fl-has-submenu-container a:after,
#menu-primary .current_page_item.menu-item > a:after,
#menu-primary .menu-item:not(.menu-button) a:hover::after {
    content: "";
    position: absolute;
    bottom: 6px;
    left: 10px;
    width: 0;
    height: 2px;
    background: linear-gradient(90deg, #f9ed43, #d54e42);
    animation: drawGradient 0.3s ease-out forwards;
}
#menu-primary .current_page_ancestor.menu-item.fl-has-submenu a:after,
#menu-primary .current_page_item.menu-item.fl-has-submenu > a:after,
#menu-primary .menu-item.fl-has-submenu:not(.menu-button) a:hover::after {
    animation: drawGradient2 0.3s ease-out forwards;
}

#menu-primary .fl-menu-toggle:before {
    border-color: #ff6a39;
}

@keyframes drawGradient {
    from {
        width: 0;
    }
    to {
        width: calc(100% - 20px);
    }
}

@keyframes drawGradient2 {
    from {
        width: 0;
    }
    to {
        width: calc(100% - 16px);
    }
}

/* Gradients */

.gradient-border {
    border: 2px solid;
    border-image: linear-gradient(90deg, #f9ed43, #d54e42) 1;
}
.eyebrow p {
    border: 1px solid;
    border-image: linear-gradient(90deg, #f9ed43, #d54e42) 1;
    padding: 10px 20px;
    display: inline-block;
}
.gradient-top .fl-col-content {
    border-top: 2px solid;
    border-image: linear-gradient(90deg, #f9ed43, #d54e42) 1;
}
.gradient-bottom {
    border-bottom: 2px solid;
    border-image: linear-gradient(90deg, #f9ed43, #d54e42) 1;
}
.gradient-divider {
    border-bottom: 4px solid;
    border-image: linear-gradient(90deg, #f9ed43, #d54e42) 1;
}
/* Product Search */
.product-search-form {
    display: grid;
    grid-template-columns: 1fr 120px;
    grid-gap: 12px;
}
.product-search-form .ginput_container_text input {
    border-radius: 0;
    background-image: url("images/search.svg");
    background-position: 14px center;
    background-repeat: no-repeat;
    padding: 12px 8px 12px 40px !important;
}
.product-search-form .ginput_container_text input::placeholder {
    color: #000;
}
.product-search-form .gform_footer {
    margin: 0 !important;
    background: linear-gradient(90deg, #f9ed43, #d54e42);
    padding: 1px !important;
    border-radius: 0;
    display: inline-block;
    transition: transform 0.3s ease;
}
.product-search-form .gform_footer:hover {
    transform: translateY(-2px);
}
.product-search-form .gform_button {
    background: #fcc616 !important;
    color: #232842 !important;
    font-family: "Aeonik" !important;
    border-radius: 0 !important;
    font-size: 18px !important;
    font-weight: 700 !important;
    text-transform: uppercase !important;
    padding: 12px 24px !important;
    border: none !important;
    width: 100%;
    margin: 0 !important;
    position: relative;
    z-index: 1;
    display: block;
    line-height: 1.2 !important;
}
/* general helpers */
.fl-button-icon.fa-chevron-right,
.fl-button-icon.fa-chevron-left {
    color: #ff6a39 !important;
    font-size: 13px !important;
    transition: transform 0.3s ease;
}
.fl-button:hover .fl-button-icon.fa-chevron-right {
    transform: translateX(3px);
}
.fl-button:hover .fl-button-icon.fa-chevron-left {
    transform: translateX(-3px);
}
.menu-button,
.fl-button-wrap:not(.fl-button-has-icon) .fl-button {
    transition: transform 0.3s ease;
}
.menu-button:hover,
.fl-button-wrap:not(.fl-button-has-icon) .fl-button:hover {
    transform: translateY(-2px);
}
.card-type {
    display: inline-block;
    font-family: "Aeonik";
    padding: 4px 8px;
    background-color: #f19042;
    margin-bottom: 12px;
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
}
.fl-post-more-link a {
    font-family: "Aeonik";
}
/* forms */
.gform_required_legend {
    display: none;
}
.gform-field-label {
    font-family: "Aeonik", sans-serif;
    font-size: 16px !important;
    font-style: normal;
    font-weight: 600 !important;
    line-height: 140%; /* 22.4px */
}
.gfield_required {
    color: #232842 !important;
    display: inline-block;
    font-size: 16px !important;
    padding-inline-start: 0em !important;
}
.ginput_container input:not([type="checkbox"]),
.ginput_container select {
    background-color: #fff;
    border: 1px solid #232842;
    border-radius: 0;
    height: 48px;
}
.ginput_container textarea {
    background-color: #fff;
    border: 1px solid #232842;
    border-radius: 0 !important;
}
.gform-field-label.gfield_consent_label {
    font-family: "IBM Plex Sans" !important;
    font-weight: 400 !important;
    font-size: 14px !important;
}
.gform_button {
    padding: 12px 24px !important;
    color: #fff !important;
    border-color: initial;
    background-color: #d54e42 !important;
    border-style: none;
    border: none !important;
    font-weight: 600 !important;
    border-radius: 0px !important;
    font-family: "Aeonik";
    text-transform: uppercase;
    font-size: 18px;
}

/* accordions */
.fl-accordion-button-icon,
.fl-accordion-button-icon::before {
    color: #ff6a39;
    top: 2px;
    position: relative;
    opacity: 1;
}
.fl-accordion-button-icon.dashicons-no-alt {
    top: 2px;
}
.fl-accordion-button-icon:focus,
.fl-accordion-button-icon:active,
.fl-accordion-button-label:focus,
.fl-accordion-button-label:active {
    outline: none;
}

/* Responsive Styles */
@media (max-width: 992px) {
    .fl-theme-builder-header:not(.fl-theme-builder-header-scrolled) .dark-nav {
        background-color: #050819;
    }
}
